Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 807653 - [bfb6366bd2a6de4cb5322dda72fbc1e6ad1edc41]: replace-brick start after a replace-brick abort fails migrating data
Summary: [bfb6366bd2a6de4cb5322dda72fbc1e6ad1edc41]: replace-brick start after a repla...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: GlusterFS
Classification: Community
Component: glusterd
Version: pre-release
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: krishnan parthasarathi
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-28 12:13 UTC by Rahul C S
Modified: 2015-12-01 16:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-06 11:52:16 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Rahul C S 2012-03-28 12:13:42 UTC
Description of problem:
replace-brick start on the same src/dest brick pair, after a replace-brick abort has been issued does not initiate data migration.

root@Dagobah:~# gluster volume replace-brick vol dagobah:/data/export3 dagobah:/data/export7 status
Number of files migrated = 0       Current file=  
root@Dagobah:~# gluster volume replace-brick vol dagobah:/data/export3 dagobah:/data/export7 status
Number of files migrated = 0       Current file=

Comment 1 Vijaykumar Koppad 2012-04-06 11:52:16 UTC
It works properly in the latest build.


Note You need to log in before you can comment on or make changes to this bug.